/*
 * DeltaForceV2.java
 *
 * Created on 22 grudzień 2004, 05:08
 */

package JSciDraw.physics.forces;
import JSci.maths.AbstractDoubleVector;
import JSci.maths.Double2Vector;
import JSci.physics.Force;
/**
 *
 * @author  arturo
 */
public class DeltaForceV2 extends Force {
    AbstractDoubleVector force;
    AbstractDoubleVector zero = new Double2Vector(0,0);
    boolean fire = true;
    
    /** Creates a new instance of ConstantForce */
    public DeltaForceV2(AbstractDoubleVector f) {
        force = f;
    }
    
    public JSci.maths.AbstractDoubleVector getVector(double dt) {
        if (fire) {
            fire = false;
            return force;
        } else {
            return zero;
        }
    }
    
    
}
